'=========================================================================================
'
'		Script Name         : iSRTCheck.vbs
'		Functional overview : Install Tweak for PcHealthMonitor
'		Usage               : Check whether the iSRT is supportted or not
'				      before the installation.
'		Date written        : 2012-2-17
'		Version             : 1.00
'
'=========================================================================================

Option Explicit

	Dim objWMIService, colItems, objItem

	Dim PNPDeviceID
	Dim RegKey
	Dim objRegEdit 
	Dim iSRTFlag

'----------------------------------------
'	Get PNPDeviceID from Win32_PnPEntity
'----------------------------------------
	'	Not iSRT Mode
	iSRTFlag = 0

	Set objWMIService = GetObject("winmgmts:{impersonationLevel=impersonate}!\\.\root\cimv2")
	Set colItems = objWMIService.ExecQuery("SELECT PNPDeviceID FROM Win32_PnPEntity WHERE PNPDeviceID  LIKE '%282A%' ")

	if colItems.count <> 0 Then
   		For Each objItem In colItems
			PNPDeviceID = objItem.PNPDeviceID	
			if Mid(PNPDeviceID, 1, 3) = "PCI"  and Mid(PNPDeviceID, 9, 4) = "8086" and Mid(PNPDeviceID, 18, 4) = "282A" then
				'	iSRT Mode
				iSRTFlag = 1 
				Exit For
			End if	
		Next
	End if



'----------------------------------------
'	END
'----------------------------------------
'	WScript.Echo "iSRTFlag : " & iSRTFlag & vbCrLf
	if iSRTFlag = 1 then
		WScript.Quit(0)
	else
		WScript.Quit(1)
	end if
























